Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 407841 - dev-lang/perl-5.16: Drop build from IUSE
Summary: dev-lang/perl-5.16: Drop build from IUSE
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Perl team
URL:
Whiteboard:
Keywords:
Depends on: 478714 479074 479076
Blocks:
  Show dependency tree
 
Reported: 2012-03-11 20:20 UTC by Oleh
Modified: 2013-08-10 08:54 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,1.83 KB, text/plain)
2012-03-11 20:24 UTC, Oleh
Details
aclocal.out (aclocal.out,1.08 KB, text/plain)
2012-03-11 20:24 UTC, Oleh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oleh 2012-03-11 20:20:08 UTC
during stage building glib-2.30.2-r1 fails with aclocal 

Reproducible: Always

Steps to Reproduce:
1. emerge =dev-lang/perl-5.14.2
2. emerge =dev-libs/glib-2.30.2-r1
3.
Actual Results:  
* Messages for package dev-libs/glib-2.30.2-r1:

 * Failed Running aclocal !
 *
 * Include in your bugreport the contents of:
 *
 *   /var/tmp/portage/dev-libs/glib-2.30.2-r1/temp/aclocal.out
 * ERROR: dev-libs/glib-2.30.2-r1 failed (prepare phase):
 *   Failed Running aclocal !
 *
 * Call stack:
 *     ebuild.sh, line   84:  Called src_prepare
 *   environment, line 6090:  Called eautoreconf
 *   environment, line 1493:  Called eaclocal
 *   environment, line 1411:  Called autotools_run_tool '--at-m4flags' 'aclocal' '-I' 'm4macros'
 *   environment, line 1254:  Called die
 * The specific snippet of code:
 *           die "Failed Running $1 !";
 *
 * If you need support, post the output of 'emerge --info =dev-libs/glib-2.30.2-r1',
 * the complete build log and the output of 'emerge -pqv =dev-libs/glib-2.30.2-r1'.
 * The complete build log is located at '/var/tmp/portage/dev-libs/glib-2.30.2-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-libs/glib-2.30.2-r1/temp/environment'.
 * S: '/var/tmp/portage/dev-libs/glib-2.30.2-r1/work/glib-2.30.2'

Expected Results:  
aclocal passed and glib emerged

emerge --info
Portage 2.3.2-r2 (default/linux/amd64/2008.0, gcc-4.6.2, glibc-2.13-r4, 3.2.9 x86_64)
=================================================================
System uname: Linux-3.2.9-x86_64-AMD_Phenom-tm-_II_X6_1055T_Processor-with-gentoo-2.1.8
Timestamp of tree: Sun, 11 Mar 2012 18:00:01 +0000
app-shells/bash:          4.2_p20::funtoo-overlay
dev-lang/python:          2.7.3_pre20120311::progress, 3.2.3_pre20120311::progress
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1.8-r3::funtoo-overlay
sys-apps/openrc:          0.8.3-r5::funtoo-overlay
sys-apps/sandbox:         2.5::funtoo-overlay
sys-devel/autoconf:       2.68
sys-devel/automake:       1.11.3
sys-devel/binutils:       2.21.1-r1::funtoo-overlay
sys-devel/gcc:            4.6.2::funtoo-overlay
sys-devel/gcc-config:     1.5::funtoo-overlay
sys-devel/libtool:        2.4.2::funtoo-overlay
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 2.6.39::funtoo-overlay (virtual/os-headers)
sys-libs/glibc:           2.13-r4::funtoo-overlay
Repositories: gentoo funtoo-overlay progress
Installed sets:
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=amdfam10 -mtune=amdfam10 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=amdfam10 -mtune=amdfam10 -O2 -pipe"
DISTDIR="/var/src/distfiles"
EMERGE_DEFAULT_OPTS="--quiet-build=n"
FEATURES="assume-digests binpkg-logs distlocks ebuild-locks fixlafiles metadata-transfer news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="ru_RU.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--sort-common -Wl,--as-needed"
LINGUAS="ru"
MAKEOPTS="-j7"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/var/cache/portage"
PORTDIR_OVERLAY="/home/oleg/funtoo-overlay /var/lib/layman/progress"
SYNC="git://github.com/funtoo/ports-2012.git"
SYNC_USER="root"
USE="acl alac alsa amd64 berkdb bzip2 cdr cli cracklib crypt cups cxx dri dvd dvdr dvdread encode flac fortran gdbm gif gpm iconv ipv6 jpeg lame mad mmx modules mp3 mpeg mudflap multilib ncurses nls nptl nptlonly ogg openmp pam pcre perl png pppd python readline session sse sse2 ssl sysfs tcpd threads tiff truetype unicode vorbis wavpack xml xorg zlib" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="ru" NGINX_MODULES_HTTP="access auth_basic autoindex browser charset empty_gif gzip limit_req limit_zone map referer rewritesplit_clients ssi upstream_ip_hash userid uwsgi" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, SYNC_UMASK
Comment 1 Oleh 2012-03-11 20:24:25 UTC
Created attachment 304943 [details]
build.log
Comment 2 Oleh 2012-03-11 20:24:45 UTC
Created attachment 304945 [details]
aclocal.out
Comment 3 Torsten Veller (RETIRED) gentoo-dev 2012-03-12 05:26:59 UTC
I know that the modules installed with USE=build are not complete. So no stage building possible with =dev-lang/perl-5.14.2[build].
Comment 4 Torsten Veller (RETIRED) gentoo-dev 2012-03-12 11:33:30 UTC
I'd like to drop the build use-flag from dev-lang/perl.
Does anyone know why it was added?
Was it added to have a small stage1 or were there any other problems?
Comment 5 Oleh 2012-03-13 18:38:04 UTC
It's a special flag to have very minimalistic environment during bootstrap. perl-5.12.4 has no issues with it.
Comment 6 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2012-05-06 23:15:23 UTC
I haven't seen any recent stage building failures related to this.
Is anything left to do here?
Comment 7 Oleh 2012-05-07 04:23:11 UTC
with perl-5.14.2?
Comment 8 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2012-05-26 21:07:05 UTC
No, with dev-lang/perl-5.12.4-r1 (the highest stable version).
Comment 9 Oleh 2012-05-27 02:40:44 UTC
The bug is about 5.14.2...
Comment 10 Matt Turner gentoo-dev 2013-07-26 04:05:37 UTC
(In reply to Torsten Veller from comment #4)
> I'd like to drop the build use-flag from dev-lang/perl.
> Does anyone know why it was added?
> Was it added to have a small stage1 or were there any other problems?

I see that perl-5.16's build USE flag doesn't do anything at all. Let's try removing it.
Comment 11 Matt Turner gentoo-dev 2013-07-27 06:56:38 UTC
(In reply to Matt Turner from comment #10)
> I see that perl-5.16's build USE flag doesn't do anything at all. Let's try
> removing it.

I removed build from IUSE and keyworded perl-5.16.3 in my portage snapshot and built stage1-2-3 on amd64.

The only problem I encountered was that dev-perl/XML-Parser depends (via perl-module.eclass) on dev-lang/perl[-build] which isn't satisfied by a version of perl without IUSE containing build. I think that can be solved by changing the dependency to dev-lang/perl[-build(-)].
Comment 12 Matt Turner gentoo-dev 2013-08-09 02:39:26 UTC
Dropped useless build USE flag from 5.16*. Marking fixed.
Comment 13 Sergiy Borodych 2013-08-10 08:54:23 UTC
New related bugs appear: bug #480442, bug #480456